Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IFaceDetectCaps Class Reference

Exposes the face detect capabilities of a CaptureSession. More...

`#include <FaceDetect.h>`

Inheritance diagram for Argus::Ext::IFaceDetectCaps:

List of all members.

## Public Member Functions

virtual uint32_t | getMaxFaceDetectResults () const =0
| Returns the maximum number of faces that can be detected by the face detection algorithm per request.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IFaceDetectCaps ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Exposes the face detect capabilities of a CaptureSession.

Definition at line 57 of file FaceDetect.h.

## Constructor & Destructor Documentation

Argus::Ext::IFaceDetectCaps::~IFaceDetectCaps | ( |  | ) |

inlineprotected

Definition at line 69 of file FaceDetect.h.

## Member Function Documentation

virtual uint32_t Argus::Ext::IFaceDetectCaps::getMaxFaceDetectResults | ( |  | ) | const

pure virtual

Returns the maximum number of faces that can be detected by the face detection algorithm per request.

Returned value must be >= 1.

static const InterfaceID& Argus::Ext::IFaceDetectCaps::id | ( |  | ) |

inlinestatic

Definition at line 60 of file FaceDetect.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/FaceDetect.h